Page MenuHomePhabricator

Add revision scoring for nlwiki
Closed, ResolvedPublic

Description

ORES and the underlying systems are awesome. With growing support in countervandalism tools, I'd like to see support added for nlwiki.

Ideally we'd have all the edit quality models implemented.

Event Timeline

Krinkle created this task.Oct 28 2015, 5:26 PM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 5:26 PM
Halfak added a subscriber: Halfak.Oct 31 2015, 5:00 PM

Pulled in Dutch work lists in https://github.com/wiki-ai/revscoring/pull/206/commits

I'm still finishing some cleanup. Once that is merged, we'll be ready to build a model. Fun story, I've already gathered a sample of reverted edits for nlwiki because I figured we'd be picking this up soon.

$ revscoring model_info models/nlwiki.reverted.linear_svc.model 
ScikitLearnClassifier
 - type: LinearSVC
 - version: 0.0.2
 - trained: 2015-11-10T10:05:49.036872

Accuracy: 0.914321608040201

ROC-AUC: 0.9332789647261259

      False    True
--  -------  ------
 0     3386      22
 1      418     154
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 10 2015, 8:25 PM
Halfak claimed this task.
Halfak set Security to None.
Halfak closed this task as Resolved.Nov 20 2015, 12:04 AM